## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate cbindgen

Name:           rust-cbindgen
Version:        0.24.5
Release:        %autorelease
Summary:        Tool for generating C bindings to Rust code

License:        MPL-2.0
URL:            https://crates.io/crates/cbindgen
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A tool for generating C bindings to Rust code.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MPL-2.0 AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%doc contributing.md
%doc docs.md
%doc internals.md
%{_bindir}/cbindgen

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/contributing.md
%doc %{crate_instdir}/docs.md
%doc %{crate_instdir}/internals.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo '/usr/bin/cython'
echo '/usr/bin/g++'
echo '/usr/bin/gcc'
%endif

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.24.5-1
- Update to version 0.24.5; Fixes RHBZ#2210810

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.24.3-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.24.3-1
- Update to version 0.24.3; Fixes RHBZ#2068608

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.20.0-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.20.0-1
- Update to version 0.20.0; Fixes RHBZ#1909565

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:28:28 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.15.0-2
- Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.15.0-1
- Update to version 0.15.0.
- Fixes RHBZ#1885957

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.14.6-1
- Update to version 0.14.6.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.14.4-1
- Update to 0.14.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.14.3-1
- Update to 0.14.3

* Tue May 05 2020 Josh Stone <cuviper@gmail.com> - 0.14.2-1
- Update to 0.14.2

* Fri Apr 17 2020 Josh Stone <jistone@redhat.com> - 0.14.1-1
- Update to 0.14.1

* Sun Mar 29 10:15:09 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 0.13.1-1
- Update to 0.13.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.12.2-1
- Update to 0.12.2

* Tue Dec 17 2019 Josh Stone <jistone@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Sun Dec 15 13:00:19 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Fri Dec 06 10:45:49 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0

* Fri Nov 15 2019 Josh Stone <jistone@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 07:50:25 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.7-1
- Update to 0.8.7

* Tue May 07 14:58:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.6-1
- Update to 0.8.6

* Thu May 02 2019 Josh Stone <jistone@redhat.com> - 0.8.4-1
- Update to 0.8.4

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.8.3-1
- Update to 0.8.3

* Thu Mar 07 2019 Josh Stone <jistone@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 21 2019 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 26 2019 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 24 2019 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Mon Jan 07 2019 Josh Stone <jistone@redhat.com> - 0.6.8-1
- Update to 0.6.8

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.7-1
- Update to 0.6.7

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.6.6-1
- Update to 0.6.6

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Sat Sep 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-2
- Add cbindgen back

* Wed Sep 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-3
- Drop cbindgen executable

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-2
- Rebuild to trigger tests

* Thu Jul 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Tue Jan 30 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-1
- Initial package

